GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List actions GETAdd action POSTGet action GETUpdate action PATCH
Actions

Get content gap GET

Latest analysis of one prompt: searches, verdicts and recommendation.

Add action POST

Create a custom action in To Do.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Actions

List actions

GET
/brands/{brandId}/actions

Open actions plus actions done or dismissed in the last 14 days.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

severity?string

Comma-separated severities; none for unset

Lengthlength <= 500
assignee?string

Comma-separated user ids; none for unassigned

Lengthlength <= 500
kinds?string

Comma-separated action kinds

Lengthlength <= 500

Response Body

Actions sorted by severity, then newest

application/json
  1. response
  1. response
  2. …
items*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "content_gap",      "status": "suggested",      "severity": "critical",      "title": "string",      "description": "string",      "ctaLabel": "string",      "ctaHref": "string",      "source": "user",      "assignee": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "email": "string",        "image": "string"      },      "statusChangedAt": "string",      "createdAt": "string"    }  ]}

Get content gap GET

Latest analysis of one prompt: searches, verdicts and recommendation.

Add action POST

Create a custom action in To Do.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions'
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "kind": "content_gap",
      "status": "suggested",
      "severity": "critical",
      "title": "string",
      "description": "string",
      "ctaLabel": "string",
      "ctaHref": "string",
      "source": "user",
      "assignee": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "email": "string",
        "image": "string"
      },
      "statusChangedAt": "string",
      "createdAt": "string"
    }
  ]
}